repo/proj/guru:dev commit in: www-client/mullvad-browser-bin/

"Gil Ferrand" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787129336.9bc81d3d9d66a57563b4de69567045ece4a35f36.bakedsnake@gentoo>
commit:     9bc81d3d9d66a57563b4de69567045ece4a35f36
Author:     bakedsnake <bakedsnake <AT> vagrantz <DOT> xyz>
AuthorDate: Wed Aug 19 08:48:01 2026 +0000
Commit:     Gil Ferrand <bakedsnake <AT> vagrantz <DOT> xyz>
CommitDate: Wed Aug 19 08:48:56 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9bc81d3d

www-client/mullvad-browser-bin: add 15.0.20

Signed-off-by: bakedsnake <bakedsnake <AT> vagrantz.xyz>

 www-client/mullvad-browser-bin/Manifest            |  2 +
 .../mullvad-browser-bin-15.0.20.ebuild             | 98 ++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/www-client/mullvad-browser-bin/Manifest b/www-client/mullvad-browser-bin/Manifest
index 879407dac3..a0f7679192 100644
--- a/www-client/mullvad-browser-bin/Manifest
+++ b/www-client/mullvad-browser-bin/Manifest
@@ -1,2 +1,4 @@
 DIST mullvad-browser-bin-15.0.19.tar.xz 117218156 BLAKE2B ef91a2d4edee7cba6a6ac1543fb79e0d3a0dafa399f1278eeb7b79c6dd159ea4d1f1da337c9f59c72b49699958cef45a1c10ed0692bee1ae0cd88f16216704c6 SHA512 486ca5292bd7941d5f18733cb119054e2364f640592901738511226a772c24f8390174acd613adc091ce3bd0c9c0ffbc149dd5d417932d2b915981f13cc650a0
 DIST mullvad-browser-bin-15.0.19.tar.xz.asc 833 BLAKE2B 6ad3abc0c252a227ed14be59f0152292357b49c35ea647269b85d149f4fbf6e4467f5c90e350acb554f232fd80a6ddf382693acd0360311d77a0d4d50448c5da SHA512 cf255ab92de3434b1518fb0698fa388af9d41bcc34fefe5066fca175fb169f4f2a31977ae93300c0613ba335290ce7d3b095085b8a4179386be8d461017a4deb
+DIST mullvad-browser-bin-15.0.20.tar.xz 117285404 BLAKE2B f1c6ad4467af5c1c0cd2842f6dad5980455c00efe7473f346ac10f8d617e0a202aafc0f8f50a0c8b703dc4cc6f9b3123612b5e8c4d094570c24714ae1208ad39 SHA512 71f117a5f5c9fec7208d98ad0e1245402ced3c1d74dfd3bba407991371307b9c456e409cb70b05396794952ac2e316b41dbcfc2822cbfc8eafd10472c33f6711
+DIST mullvad-browser-bin-15.0.20.tar.xz.asc 833 BLAKE2B 2d3bba0eeba969c0230eb61a0708c20a647ad6e07926d003204d28850af135dcb56b7167f551115c032b5d7bf314dce8e89bab90ebc94f9fa4f73ed8f4d2ef92 SHA512 d444401b1dfd6ddd31ff1d416d85260efa5b28a2e44a312c10bf43b0e9efe3422aaca351e5b384e0e28c55b2e596793b2c9bec6069b802b896cec21e25eb3a82

diff --git a/www-client/mullvad-browser-bin/mullvad-browser-bin-15.0.20.ebuild b/www-client/mullvad-browser-bin/mullvad-browser-bin-15.0.20.ebuild
new file mode 100644
index 0000000000..34b4f975aa
--- /dev/null
+++ b/www-client/mullvad-browser-bin/mullvad-browser-bin-15.0.20.ebuild
@@ -0,0 +1,98 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature xdg verify-sig
+
+DESCRIPTION="The Mullvad Browser is developed to minimize tracking and fingerprinting"
+HOMEPAGE="https://github.com/mullvad/mullvad-browser/ https://mullvad.net/"
+SRC_NAME="https://github.com/mullvad/mullvad-browser/releases/download/${PV}/mullvad-browser-linux-x86_64-${PV}.tar.xz"
+SRC_URI="
+	${SRC_NAME} -> ${P}.tar.xz
+	verify-sig? ( ${SRC_NAME}.asc -> ${P}.tar.xz.asc )
+"
+
+S="${WORKDIR}"
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+IUSE="X"
+
+RDEPEND="
+	app-accessibility/at-spi2-core
+	app-misc/mime-types
+	dev-libs/dbus-glib
+	dev-libs/glib
+	dev-libs/nspr
+	dev-libs/nss
+	gui-libs/gtk
+	media-libs/alsa-lib
+	media-libs/fontconfig
+	media-libs/freetype
+	media-video/ffmpeg
+	sys-apps/dbus
+	sys-libs/glibc
+	x11-libs/cairo
+	x11-themes/hicolor-icon-theme
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXcursor
+	x11-libs/libXdamage
+	x11-libs/libXfixes
+	x11-libs/libXi
+	x11-libs/libXrandr
+	x11-libs/libXrender
+	x11-libs/libXt
+	x11-libs/libXtst
+	x11-libs/gdk-pixbuf
+	x11-libs/gtk+
+	x11-libs/libXext
+	x11-libs/pango
+"
+BDEPEND="
+	verify-sig? ( sec-keys/openpgp-keys-mullvad-browser-bin )
+"
+
+QA_PREBUILT="*"
+
+src_unpack() {
+	VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/mullvad-browser-bin.asc
+	default
+}
+
+src_install() {
+	# Install profiles to home dir
+	touch mullvad-browser/Browser/is-packaged-app || die
+
+	# Fix desktop file vars
+	sed -i \
+		-e 's|Name=.*|Name=Mullvad Browser|g' \
+		-e 's|Exec=.*|Exec=/opt/mullvad-browser/Browser/start-mullvad-browser --detach|g' \
+		-e 's|Icon=.*|Icon=mullvad-browser|g' \
+		mullvad-browser/start-mullvad-browser.desktop || die
+
+	insinto /opt/
+	doins -r mullvad-browser
+
+	dosym ../../opt/mullvad-browser/Browser/start-mullvad-browser /usr/bin/${PN}
+	domenu mullvad-browser/start-mullvad-browser.desktop
+	local x
+	for x in 16 32 48 64 128; do
+		newicon -s ${x} mullvad-browser/Browser/browser/chrome/icons/default/default${x}.png mullvad-browser.png
+	done
+
+	fperms 755 /opt/mullvad-browser/Browser/abicheck
+	fperms +x /opt/mullvad-browser/Browser/glxtest
+	fperms +x /opt/mullvad-browser/Browser/vaapitest
+	fperms +x /opt/mullvad-browser/Browser/start-mullvad-browser
+	fperms +x /opt/mullvad-browser/Browser/mullvadbrowser
+	fperms +x /opt/mullvad-browser/Browser/mullvadbrowser.real
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	optfeature "wayland screensharing support" sys-apps/xdg-desktop-portal
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.